Update Account for PLS
POST
https://api-pay.monoova.com/v1/api/payment-links/update-account
Responses
200
- RegisterWebhookEventResponseDescription
- paymentAgreementSubscriptionIdstringExampleDescription
- paymentInstructionSubscriptionIdstringExampleDescription
400
- ProblemDetails
- typestringExample
- titlestringExample
- statusintegerExample
- detailstringExample
401
- ProblemDetails
- typestringExample
- titlestringExample
- statusintegerExample
- detailstringExample
curl
curl --request POST \
--url https://api-pay.monoova.com/v1/api/payment-links/update-account \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api-pay.monoova.com/v1/api/payment-links/update-account", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api-pay.monoova.com/v1/api/payment-links/update-account")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api-pay.monoova.com/v1/api/payment-links/update-account"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successfully updated account webhooks with Monoova
{
"paymentAgreementSubscriptionId": "sub_agreement_12345",
"paymentInstructionSubscriptionId": "sub_instruction_67890"
}400
// Failed to update account webhooks with Monoova
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "Problem Details",
"status": 400,
"detail": "Bearer token is required."
}401
// Unauthorized - Bearer token is required
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "Problem Details",
"status": 400,
"detail": "Bearer token is required."
}